Bug 252078

Summary: new port: devel/py-envs: Easy access of environment variables from Python
Product: Ports & Packages Reporter: Ivan Rozhuk <rozhuk.im>
Component: Individual Port(s)Assignee: Guangyuan Yang <ygy>
Status: Closed FIXED    
Severity: Affects Some People CC: rozhuk.im, ygy
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Bug Depends on:    
Bug Blocks: 256885, 252081    
Attachments:
Description Flags
patch
none
patch none

Description Ivan Rozhuk 2020-12-23 17:56:16 UTC
Created attachment 220860 [details]
patch

Easy access of environment variables from Python with support for
booleans, strings, lists, tuples, integers, floats, and dicts.

Use Case
If you need environment variables for your settings but need an easy way
of using Python objects instead of just strings. For example, if you
need a list of strings.

Features
 - CLI to convert settings
 - CLI to list and check environment variables
 - Use strings, lists, tuples, integers, floats or dicts.
   IMPORTANT: When setting the variables in your environmenet
   (ex. in .env file) wrap them in single or double quotes
   (ex. "['some','list']")

WWW: https://github.com/capless/envs
Comment 1 commit-hook freebsd_committer 2021-06-30 06:44:14 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=45a0496cb1dfee43b1abf7f5bd95bbbdc05d1969

commit 45a0496cb1dfee43b1abf7f5bd95bbbdc05d1969
Author:     rozhuk.im <rozhuk.im@gmail.com>
AuthorDate: 2021-06-30 06:43:35 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-06-30 06:43:35 +0000

    astro/py-astral: New port

    Calculations for the position of the sun and moon.

    PR:             252078
    Approved by:    lwhsu (mentor)

 astro/Makefile                  |  1 +
 astro/py-astral/Makefile (new)  | 19 +++++++++++++++++++
 astro/py-astral/distinfo (new)  |  3 +++
 astro/py-astral/pkg-descr (new) |  7 +++++++
 4 files changed, 30 insertions(+)
Comment 2 Guangyuan Yang freebsd_committer 2021-06-30 06:47:01 UTC
Committed with changes. Thanks!
Comment 3 Ivan Rozhuk 2021-06-30 12:30:36 UTC
You close wrong PR, should be https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=252073
Comment 4 Guangyuan Yang freebsd_committer 2021-06-30 18:05:39 UTC
(In reply to Ivan Rozhuk from comment #3)

Apologies - wrong PR :)
Comment 5 Guangyuan Yang freebsd_committer 2021-07-01 07:55:46 UTC
(In reply to Ivan Rozhuk from comment #3)

Review items:

- # $FreeBSD$ is deprecated, please remove
- Please use DISTVERSION instead of PORTVERSION whenever possible
- Please sort USE_PYTHON
- Please convert your pkg-descr to standard paragraphs that describes the use case and functionalities - direct copy-paste like this is discouraged
Comment 6 Ivan Rozhuk 2021-07-01 12:24:35 UTC
(In reply to Guangyuan Yang from comment #5)
>- Please use DISTVERSION instead of PORTVERSION whenever possible

Can you point to some doc that explain this?
Comment 7 Guangyuan Yang freebsd_committer 2021-07-01 12:31:10 UTC
(In reply to Ivan Rozhuk from comment #6)

https://docs.freebsd.org/en/books/porters-handbook/makefiles/#makefile-naming

Not a huge deal here, but IMO since PORTVERSION is derived from DISTVERSION, I get it from the documentation that DISTVERSION is a more standard way, and PORTVERSION will be used only if needed.
Comment 8 Ivan Rozhuk 2021-07-01 22:35:08 UTC
Created attachment 226159 [details]
patch
Comment 9 commit-hook freebsd_committer 2021-07-02 16:42:44 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d2bb2b991214d39f07b7f75660b816e192d1c09b

commit d2bb2b991214d39f07b7f75660b816e192d1c09b
Author:     Ivan Rozhuk <rozhuk.im@gmail.com>
AuthorDate: 2021-07-02 16:40:43 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-07-02 16:40:43 +0000

    devel/py-envs: New port: Easy access of environment variables from Python

    PR:             252078
    Approved by:    lwhsu (mentor)

 devel/py-envs/Makefile (new)  | 16 ++++++++++++++++
 devel/py-envs/distinfo (new)  |  3 +++
 devel/py-envs/pkg-descr (new) |  8 ++++++++
 3 files changed, 27 insertions(+)
Comment 10 Guangyuan Yang freebsd_committer 2021-07-02 16:43:35 UTC
Committed, thanks!
Comment 11 commit-hook freebsd_committer 2021-07-03 02:24:16 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f934549dd809a2e5f43c9cee22580bb986efe610

commit f934549dd809a2e5f43c9cee22580bb986efe610
Author:     Guangyuan Yang <ygy@FreeBSD.org>
AuthorDate: 2021-07-03 02:22:28 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-07-03 02:22:28 +0000

    devel/py-envs: Hook it to the build

    PR:             252078
    Fixes:          d2bb2b991214d39f07b7f75660b816e192d1c09b
    Reminded by:    antoine
    Approved by:    lwhsu (mentor, implicit)

 devel/Makefile | 1 +
 1 file changed, 1 insertion(+)